Bug 1130720 - [abrt] gjs: gjs-console killed by SIGTRAP
Summary: [abrt] gjs: gjs-console killed by SIGTRAP
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gjs
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0babdcd51710a9c267329daa855...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-17 00:25 UTC by Karl Latiss
Modified: 2015-06-29 22:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 22:05:53 UTC


Attachments (Terms of Use)
File: backtrace (49.30 KB, text/plain)
2014-08-17 00:25 UTC, Karl Latiss
no flags Details
File: cgroup (180 bytes, text/plain)
2014-08-17 00:25 UTC, Karl Latiss
no flags Details
File: core_backtrace (28.15 KB, text/plain)
2014-08-17 00:25 UTC, Karl Latiss
no flags Details
File: dso_list (19.21 KB, text/plain)
2014-08-17 00:25 UTC, Karl Latiss
no flags Details
File: environ (1.10 KB, text/plain)
2014-08-17 00:25 UTC, Karl Latiss
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-17 00:25 UTC, Karl Latiss
no flags Details
File: maps (79.40 KB, text/plain)
2014-08-17 00:25 UTC, Karl Latiss
no flags Details
File: open_fds (422 bytes, text/plain)
2014-08-17 00:25 UTC, Karl Latiss
no flags Details
File: proc_pid_status (937 bytes, text/plain)
2014-08-17 00:25 UTC, Karl Latiss
no flags Details
File: var_log_messages (333 bytes, text/plain)
2014-08-17 00:25 UTC, Karl Latiss
no flags Details

Description Karl Latiss 2014-08-17 00:25:40 UTC
Version-Release number of selected component:
gjs-1.38.1-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 3
cmdline:        /usr/bin/gjs-console -I /usr/share/gnome-documents/js -c 'const Main = imports.main; Main.start();' --no-default-window
executable:     /usr/bin/gjs-console
kernel:         3.15.8-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1026

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 ?? at /lib64/libgjs.so.0
 #3 js::gc::FinalizeArenas(js::FreeOp*, js::gc::ArenaHeader**, js::gc::ArenaList&, js::gc::AllocKind, js::SliceBudget&) at /lib64/libmozjs-17.0.so
 #4 js::gc::ArenaLists::queueObjectsForSweep(js::FreeOp*) at /lib64/libmozjs-17.0.so
 #5 IncrementalCollectSlice(JSRuntime*, long, js::gcreason::Reason, js::JSGCInvocationKind) at /lib64/libmozjs-17.0.so
 #6 GCCycle(JSRuntime*, bool, long, js::JSGCInvocationKind, js::gcreason::Reason) at /lib64/libmozjs-17.0.so
 #7 Collect(JSRuntime*, bool, long, js::JSGCInvocationKind, js::gcreason::Reason) at /lib64/libmozjs-17.0.so
 #8 js_HandleExecutionInterrupt(JSContext*) at /lib64/libmozjs-17.0.so
 #9 js::mjit::stubs::Interrupt(js::VMFrame&, unsigned char*) at /lib64/libmozjs-17.0.so
 #10 throwpoline_exit at /lib64/libmozjs-17.0.so
 #11 ??

Comment 1 Karl Latiss 2014-08-17 00:25:44 UTC
Created attachment 927380 [details]
File: backtrace

Comment 2 Karl Latiss 2014-08-17 00:25:46 UTC
Created attachment 927381 [details]
File: cgroup

Comment 3 Karl Latiss 2014-08-17 00:25:48 UTC
Created attachment 927382 [details]
File: core_backtrace

Comment 4 Karl Latiss 2014-08-17 00:25:50 UTC
Created attachment 927383 [details]
File: dso_list

Comment 5 Karl Latiss 2014-08-17 00:25:51 UTC
Created attachment 927384 [details]
File: environ

Comment 6 Karl Latiss 2014-08-17 00:25:52 UTC
Created attachment 927385 [details]
File: limits

Comment 7 Karl Latiss 2014-08-17 00:25:55 UTC
Created attachment 927386 [details]
File: maps

Comment 8 Karl Latiss 2014-08-17 00:25:56 UTC
Created attachment 927387 [details]
File: open_fds

Comment 9 Karl Latiss 2014-08-17 00:25:58 UTC
Created attachment 927388 [details]
File: proc_pid_status

Comment 10 Karl Latiss 2014-08-17 00:25:59 UTC
Created attachment 927389 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2015-05-29 12:39:06 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2015-06-29 22:05:53 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.